# Uses of Interface
java.lang.classfile.constantpool.LongEntry

Packages that use LongEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of LongEntry in java.lang.classfile

Methods in java.lang.classfile that return LongEntry
Modifier and Type
Method
Description
`LongEntry`
AnnotationValue.OfLong.`constant()`
Returns the backing long entry.
Methods in java.lang.classfile with parameters of type LongEntry
Modifier and Type
Method
Description
`static AnnotationValue.OfLong`
AnnotationValue.`ofLong(LongEntry value)`
Returns a long value for an element-value pair.

## Uses of LongEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return LongEntry
Modifier and Type
Method
Description
`LongEntry`
ConstantPoolBuilder.`longEntry(long value)`
Returns a `LongEntry` describing the provided value.